Scilab Function

lex_sort - tri des lignes d'une matrice suivant l'ordre lexicographique.

### Calling Sequence

  `[N, [k]]=lex_sort(M [,sel] [,'unique'])`
  ``

### Parameters

- `M,N` : matrices réelles
- `k` : vecteur colonne d'entiers

### Description

`N=lex_sort(M)` trie les lignes de la matrice `M` dans l'ordre croissant. Si nécessaire l'argument de sortie `k` permet de retrouver l'ordre du tri : `[N,k]=lex_sort(M)` renvoie `k` tel que `N` est égal à `M(k,:)` .

`N=lex_sort(M,sel [,'unique'])` produit le même résultat que la suite d'instructions suivante :

    [N,k]=lex_sort(M(:,sel) [,'unique']);
    N=M(k,:)

La chaîne de caractères `'unique'` doit être utilisée si on ne veut retenir que les lignes uniques dans le résultat. Noter que `lex_sort(M,sel,'unique')` ne retient que les lignes de M telles que M(:,sel) est unique.

### Examples

    M=round(2*rand(20,3));

    lex_sort(M)
    lex_sort(M,'unique')
    [N,k]=lex_sort(M,[1 3],'unique')

### See Also

`sort` ,